Subject: Re: [PATCH RFC net-next v1 2/2] selftests/dpll: add DPLL system integration selftests

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Aug 2023 14:08:02 -0700

On Thu, 17 Aug 2023 17:22:09 +0200 Michal Michalik wrote:
> High level flow of DPLL subsystem integration selftests:
> (after running run_dpll_tests.sh or 'make -C tools/testing/selftests')
> 1) check if Python in correct version is installed,
> 2) create temporary Python virtual environment,
> 3) install all the required libraries,
> 4) run the tests,
> 5) do cleanup.

How fragile do you reckon this setup will be?
I mean will it work reliably across distros and various VM setups?
I have tried writing tests based on ynl.py and the C codegen, and
I can't decide whether the python stuff is easy enough to deploy.
Much easier to scp over to the test host a binary based on the 
C code. But typing tests in python is generally quicker...
What are your thoughts?

Thanks for posting the tests!